Update AutoSupport configuration for an entire cluster
Updates the AutoSupport configuration for the entire cluster, ensuring that your system's support settings are current and aligned with organizational requirements.
HTTP method and endpoint
PATCH /support/autosupport
Introduced in
ONTAP 9.6
Related ONTAP commands
-
system node autosupport modify
Learn more
Request Body
| Name | Type | Description | ||
|---|---|---|---|---|
contact_support |
boolean |
Specifies whether to send the AutoSupport messages to vendor support. |
||
enabled |
boolean |
Specifies whether the AutoSupport daemon is enabled. When this setting is disabled, delivery of all AutoSupport messages is turned off. |
||
from |
string |
The e-mail address from which the AutoSupport messages are sent. To generate node-specific 'from' addresses, enable '-node-specific-from' parameter via ONTAP CLI.
|
||
is_minimal |
boolean |
Specifies whether the system information is collected in compliant form, to remove private data or in complete form, to enhance diagnostics. |
||
issues |
array[autosupport_issues] |
A list of nodes in the cluster with connectivity issues to HTTP/SMTP/AOD AutoSupport destinations along with the corresponding error descriptions and corrective actions. |
||
mail_hosts |
array[string] |
The names of the mail servers used to deliver AutoSupport messages via SMTP. |
||
partner_addresses |
array[string] |
The list of partner addresses. |
||
proxy_url |
string |
Proxy server for AutoSupport message delivery via HTTP/S. Optionally specify a username/password for authentication with the proxy server. |
||
to |
array[string] |
The e-mail addresses to which the AutoSupport messages are sent. |
||
transport |
string |
The name of the transport protocol used to deliver AutoSupport messages.
|
Example request
{
"contact_support": 1,
"enabled": 1,
"from": "postmaster@example.com",
"is_minimal": 1,
"issues": [
{
"corrective_action": {
"code": "53149746",
"message": "Check the hostname of the SMTP server"
},
"issue": {
"code": "53149746",
"message": "SMTP connectivity check failed for destination: mailhost. Error: Could not resolve host - 'mailhost'"
},
"node": {
"name": "node1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
}
}
],
"mail_hosts": [
"mailhost1.example.com",
"mailhost2.example.com"
],
"partner_addresses": [
"user1@partner.com",
"user2@partner.com"
],
"proxy_url": "https://proxy.company.com",
"to": [
"user1@example.com",
"user2@example.com"
],
"transport": "smtp"
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
8650862 |
The SMTP mail host provided cannot be empty |
8650863 |
A maximum of 5 SMTP mail hosts can be provided |
8650864 |
A maximum of 5 email addresses can be provided |
8650865 |
A maximum of 5 partner email addresses can be provided |
8650880 |
Automatic update requires AutoSupport to be enabled. |
8650881 |
Automatic update requires AutoSupport to use the HTTPS transport. |
8650882 |
Automatic update requires AutoSupport OnDemand to be enabled. |
53149727 |
The proxy URI provided is invalid |
53149728 |
The mailhost URI provided is invalid |
Definitions
See Definitions
autosupport_connectivity_corrective_action
| Name | Type | Description |
|---|---|---|
code |
string |
Corrective action code |
message |
string |
Corrective action message. The corrective action might contain commands which needs to be executed on the ONTAP CLI.
|
autosupport_connectivity_issue
| Name | Type | Description |
|---|---|---|
code |
string |
Error code |
message |
string |
Error message |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
node
| Name | Type | Description |
|---|---|---|
_links |
||
name |
string |
|
uuid |
string |
autosupport_issues
| Name | Type | Description |
|---|---|---|
corrective_action |
||
issue |
||
node |
autosupport
| Name | Type | Description | ||
|---|---|---|---|---|
contact_support |
boolean |
Specifies whether to send the AutoSupport messages to vendor support. |
||
enabled |
boolean |
Specifies whether the AutoSupport daemon is enabled. When this setting is disabled, delivery of all AutoSupport messages is turned off. |
||
from |
string |
The e-mail address from which the AutoSupport messages are sent. To generate node-specific 'from' addresses, enable '-node-specific-from' parameter via ONTAP CLI.
|
||
is_minimal |
boolean |
Specifies whether the system information is collected in compliant form, to remove private data or in complete form, to enhance diagnostics. |
||
issues |
array[autosupport_issues] |
A list of nodes in the cluster with connectivity issues to HTTP/SMTP/AOD AutoSupport destinations along with the corresponding error descriptions and corrective actions. |
||
mail_hosts |
array[string] |
The names of the mail servers used to deliver AutoSupport messages via SMTP. |
||
partner_addresses |
array[string] |
The list of partner addresses. |
||
proxy_url |
string |
Proxy server for AutoSupport message delivery via HTTP/S. Optionally specify a username/password for authentication with the proxy server. |
||
to |
array[string] |
The e-mail addresses to which the AutoSupport messages are sent. |
||
transport |
string |
The name of the transport protocol used to deliver AutoSupport messages.
|
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |